commit:     918cf085724046bb9eb6400276b665680e3346ea
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Mon Feb 26 11:00:03 2018 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Mon Feb 26 11:00:20 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=918cf085

sys-apps/gawk: Bump to version 4.2.1

Package-Manager: Portage-2.3.24, Repoman-2.3.6

 sys-apps/gawk/Manifest          |  1 +
 sys-apps/gawk/gawk-4.2.1.ebuild | 87 +++++++++++++++++++++++++++++++++++++++++
 2 files changed, 88 insertions(+)

diff --git a/sys-apps/gawk/Manifest b/sys-apps/gawk/Manifest
index 07adbaaa083..bf0e9c9248e 100644
--- a/sys-apps/gawk/Manifest
+++ b/sys-apps/gawk/Manifest
@@ -3,3 +3,4 @@ DIST gawk-4.0.2.tar.xz 1626808 BLAKE2B 
f66ebc3650c7288d46ed4548f07c83cbd591873a5
 DIST gawk-4.1.3.tar.xz 2311268 BLAKE2B 
956872ef3c8bdf27ccf9c3f7f158f161f42bb8607af7f966e843e24cb4e4e89380cd05a3169157cc822ea5ce8d849993b952795ecd0ecf14213f0bdd689d1b16
 SHA512 
8b9470a1bba397353f10e4e652e8589a637a49e8235fb39ca7681ae662fd27cd140c193d0634179c800f99e19b0e49aef55dfa6612f9695ba80760a36936a1c3
 DIST gawk-4.1.4.tar.xz 2367832 BLAKE2B 
67004e2867e4c4f43aac7142a52c83642d8bb3b0a5451293418bc15e575a8ed1d97c0a975e084bf46ffd1c27dc70e48de492cd2e007773622ef14886b9269ee1
 SHA512 
6a0e9cf086544212f54b54261dcd517b611aaf495ef99c4b7740d07e363bb00c5632f3d7fd5e12a954d5aa9793764162a57453e0e18884b29c6c54b5f444c097
 DIST gawk-4.2.0.tar.xz 2948108 BLAKE2B 
6e46b70480184edd3a70bcea2b4e4448b4dfbac317be6e1a6d9225bc6c0b42abe49fe9380231cb3fc87efd449d2c5232ac7099b4c4472c3815a52200ef0013a3
 SHA512 
3076b2f42e43fff0ce63dcaa3fb749ce421473d0abc3e1e2d9dd375207d3e35c98d5bf91c3179f49156e8a4977424c16bb2d3d662846ad487153729dd4cfeb4c
+DIST gawk-4.2.1.tar.xz 2985412 BLAKE2B 
ea0635904ae8af8943d545b21affbfad64de5a688a615e22e1af2634583d0002094c0668c3260837184f965452ccf84141fff705bbf42d55b6d55c7516c24d8b
 SHA512 
0e3006a795dc3ac91359a7d2590c0cccbfd39b18a1d491617d68505c55a2800355b1439050681b4fcacf65fb0d533151a046babe0fd774503037bab363ef2ae4

diff --git a/sys-apps/gawk/gawk-4.2.1.ebuild b/sys-apps/gawk/gawk-4.2.1.ebuild
new file mode 100644
index 00000000000..36326f0271e
--- /dev/null
+++ b/sys-apps/gawk/gawk-4.2.1.ebuild
@@ -0,0 +1,87 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit toolchain-funcs multilib
+
+DESCRIPTION="GNU awk pattern-matching language"
+HOMEPAGE="https://www.gnu.org/software/gawk/gawk.html";
+SRC_URI="mirror://gnu/gawk/${P}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 
~sh ~sparc ~x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~x86-fbsd ~amd64-linux 
~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint 
~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="mpfr nls readline"
+
+RDEPEND="
+       dev-libs/gmp:0=
+       mpfr? ( dev-libs/mpfr:0= )
+       readline? ( sys-libs/readline:0= )
+"
+DEPEND="${RDEPEND}
+       nls? ( sys-devel/gettext )"
+
+src_prepare() {
+       default
+
+       # use symlinks rather than hardlinks, and disable version links
+       sed -i \
+               -e '/^LN =/s:=.*:= $(LN_S):' \
+               -e '/install-exec-hook:/s|$|\nfoo:|' \
+               Makefile.in doc/Makefile.in || die
+       sed -i '/^pty1:$/s|$|\n_pty1:|' test/Makefile.in #413327
+       # disable pointless build time hack that breaks cross-compiling #493362
+       sed -i \
+               -e '/check-recursive all-recursive: 
check-for-shared-lib-support/d' \
+               extension/Makefile.in || die
+       # fix standards conflict on Solaris
+       if [[ ${CHOST} == *-solaris* ]] ; then
+               sed -i \
+                       -e '/\<_XOPEN_SOURCE\>/s/1$/600/' \
+                       -e '/\<_XOPEN_SOURCE_EXTENDED\>/s/1//' \
+                       extension/inplace.c || die
+       fi
+}
+
+src_configure() {
+       export ac_cv_libsigsegv=no
+       local myeconfargs=(
+               --libexec='$(libdir)/misc'
+               $(use_with mpfr)
+               $(use_enable nls)
+               $(use_with readline)
+       )
+       econf "${myeconfargs[@]}"
+}
+
+src_install() {
+       rm -rf README_d # automatic dodocs barfs
+       default
+
+       # Install headers
+       insinto /usr/include/awk
+       doins *.h
+       rm "${ED%/}"/usr/include/awk/config.h || die
+}
+
+pkg_postinst() {
+       # symlink creation here as the links do not belong to gawk, but to any 
awk
+       if has_version app-admin/eselect \
+                       && has_version app-eselect/eselect-awk ; then
+               eselect awk update ifunset
+       else
+               local l
+               for l in "${EROOT}"/usr/share/man/man1/gawk.1* 
"${EROOT}"/usr/bin/gawk; do
+                       [[ -e ${l} && ! -e ${l/gawk/awk} ]] && ln -s "${l##*/}" 
"${l/gawk/awk}"
+               done
+               [[ ! -e ${EROOT}/bin/awk ]] && ln -s "../usr/bin/gawk" 
"${EROOT}/bin/awk"
+       fi
+}
+
+pkg_postrm() {
+       if has_version app-admin/eselect \
+                       && has_version app-eselect/eselect-awk ; then
+               eselect awk update ifunset
+       fi
+}

Reply via email to